/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEfaces 1.5 open source software code, released
 * November 5, 2006. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2006 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package com.icesoft.faces.component.jsfcl.data;

import java.util.ArrayList;
import java.util.List;

import javax.faces.context.FacesContext;

import com.icesoft.faces.component.panelpositioned.PanelPositionedEvent;
import com.icesoft.faces.context.effects.BlindDown;
import com.icesoft.faces.context.effects.BlindUp;
import com.icesoft.faces.context.effects.Effect;
import com.icesoft.faces.context.effects.EffectQueue;
import com.icesoft.faces.context.effects.JavascriptContext;

/**
 * TODO:
 */
public class PositionedPanelBean {


    private List people = new ArrayList();
    private Effect msgEffect = null;
    private long lastFired;


    public PositionedPanelBean() {
        people.add(new PositionedPanelPerson("Mary Smith"));
        people.add(new PositionedPanelPerson("James Johnson"));
        people.add(new PositionedPanelPerson("Patricia Williams"));
        people.add(new PositionedPanelPerson("John Jones"));
        people.add(new PositionedPanelPerson("Linda Brown"));
        people.add(new PositionedPanelPerson("Robert Davis"));
        people.add(new PositionedPanelPerson("Barbara Miller"));
        resetRank();
    }


    private void resetRank() {
        for (int i = 0; i < people.size(); i++) {
            int currentRank = i + 1;
            ((PositionedPanelPerson) people.get(i)).setRank(currentRank);
        }
    }


    public void changed(PanelPositionedEvent evt) {
        JavascriptContext.focus(FacesContext.getCurrentInstance(), "no-focus");
        resetRank();
        long now = System.currentTimeMillis();
        long d = now - lastFired;
        if (d > (3 * 1000)) {
            EffectQueue eq = new EffectQueue("msgEffect");
            eq.add(new BlindDown());
            eq.add(new BlindUp());
            msgEffect = eq;
            lastFired = now;
        }
    }

    public List getPeople() {
        return people;
    }

    public void setPeople(List people) {
        this.people = people;
    }

    public Effect getMsgEffect() {
        return msgEffect;
    }

    public void setMsgEffect(Effect effect) {
        this.msgEffect = effect;
    }
}
