/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEfaces 1.5 open source software code, released
 * November 5, 2006. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2006 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package com.icesoft.faces.component.jsfcl.data;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;


public class SimpleSortableDataList
    extends SortableList
{
    private List defaultData;

    public SimpleSortableDataList()
    {
        super("col1");

        defaultData = new ArrayList();
        defaultData.add(new DefaultData("1", "Column A", "blue"));
        defaultData.add(new DefaultData("2", "Column B", "red"));
        defaultData.add(new DefaultData("3", "Column C", "green"));
        defaultData.add(new DefaultData("4", "Column D", "yellow"));
        defaultData.add(new DefaultData("5", "Column E", "white"));
        defaultData.add(new DefaultData("6", "Column F", "black"));
        defaultData.add(new DefaultData("7", "Column G", "aqua"));
        defaultData.add(new DefaultData("8", "Column H", "cyan"));
        defaultData.add(new DefaultData("9", "Column I", "pink"));
        defaultData.add(new DefaultData("10", "Column J", "coral"));
        defaultData.add(new DefaultData("11", "Column K", "gray"));
    }

    public List getDefaultData()
    {
        sort(getSort(), isAscending());
        return defaultData;
    }

    public void setDefaultData(List defaultData)
    {
        this.defaultData = defaultData;
    }
    
    protected boolean isDefaultAscending(String sortColumn)
    {
        return true;
    }

    protected void sort(final String column, final boolean ascending)
    {
        Comparator comparator = new Comparator()
        {
            public int compare(Object o1, Object o2)
            {
                DefaultData c1 = (DefaultData)o1;
                DefaultData c2 = (DefaultData)o2;
                if (column == null)
                {
                    return 0;
                }
                if (column.equals("col1"))
                {
                    return ascending ? c1.getCol1().compareTo(c2.getCol1()) : c2.getCol1().compareTo(c1.getCol1());
                }
                else if (column.equals("col2"))
                {
                    return ascending ? c1.getCol2().compareTo(c2.getCol2()) : c2.getCol2().compareTo(c1.getCol2());
                }
                else if (column.equals("col3"))
                {
                    return ascending ? c1.getCol3().compareTo(c2.getCol3()) : c2.getCol3().compareTo(c1.getCol3());
                }
                else return 0;
            }
        };
        Collections.sort(defaultData, comparator);
    }
}
