/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEfaces 1.5 open source software code, released
 * November 5, 2006. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2006 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package com.icesoft.faces.component.jsfcl.data;

import java.util.ArrayList;
import java.util.List;
import java.util.TreeMap;

import javax.faces.model.ListDataModel;

public class StoreTableDataModel extends ListDataModel {

    public StoreTableDataModel() {
        super(newDefaultData());
    }

    public static List newDefaultData() {
        ArrayList rows = new ArrayList();

        // fake data
        StoreItemList storeItemList = new StoreItemList();

        for (int i = 0; i < 5; i++) {
            TreeMap row = new TreeMap(String.CASE_INSENSITIVE_ORDER);

            row.put("COLUMN1", ((StoreItem) storeItemList.get(i)).getLabel()); // NOI18N
            row.put("COLUMN2", ((StoreItem) storeItemList.get(i)).getPrice()); // NOI18N
            row.put("COLUMN3", ((StoreItem) storeItemList.get(i)).getPurchasedQuantity()); // NOI18N
            row.put("COLUMN4", ((StoreItem) storeItemList.get(i)).getQuantity());// NOI18N
            row.put("COLUMN5", ((StoreItem) storeItemList.get(i)).getSku());// NOI18N
            rows.add(row);
        }
        return rows;
    }
}
